Skip to main content
`Ctrl`+`K`

# pandas.HDFStore.groups

HDFStore.groups()

  Return a list of all the top-level nodes.

  Each node returned is not a pandas storage object.

  Returns:
    list

      List of objects.

  Examples

      >>> df = pd.DataFrame([[1, 2], [3, 4]], columns=['A', 'B'])
      >>> store = pd.HDFStore("store.h5", 'w')
      >>> store.put('data', df)
      >>> print(store.groups())
      >>> store.close()
      [/data (Group) ''
        children := ['axis0' (Array), 'axis1' (Array), 'block0_values' (Array),
        'block0_items' (Array)]]